Bug 836950 - matrix report inconsistent column ordering
matrix report inconsistent column ordering
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
UX
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 05:57 EDT by Ales Zelinka
Modified: 2016-09-15 03:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2012-07-02 05:57:02 EDT
Description of problem:
See this report:

https://beaker.engineering.redhat.com/matrix/?toggle_nacks_on=on&job_ids=255568+255509+255508+255543+255542+255545

The order of old/new columns differ from architecture to architecture. Could beaker enforce the same order for all columns? Preferably old left, new right - that's what we're use to.

Thanks

Version-Release number of selected component (if applicable):
0.9
Comment 1 Ales Zelinka 2012-09-21 07:50:51 EDT
Sorting the columns in an alphabetical order would be best (and simple to implement, I presume).

Check this (one heck of a) matrix report:
https://beaker.engineering.redhat.com/matrix/?toggle_nacks_on=on&job_ids=302238+302239

Currently the columns are (from left to right):
3 - AS - old
4 - AS - old
5.3.ll - Server - old
...
...
3 - AS - new
4 - AS - new
5.3.ll - Server - new
...
...

Expected results:

3 - AS - old
3 - AS - new
4 - AS - old
4 - AS - new
5.3.ll - Server - old
5.3.ll - Server - new
...
...

This way both old and new results from one particular RHEL version are next to each other - checking for regressions is easy.
Comment 2 Raymond Mancy 2012-09-23 19:05:16 EDT
Alphabetical order would be simplest and easiest I'd think, but then you would end up with '10.x.y' coming before '5.3.ll' for example. So we probably want to do numerical + alphabetical sorting, I'm assuming that would be preferrable ?
Comment 3 Ales Zelinka 2012-09-24 06:17:13 EDT
yes, you're right (Also lately I have been studying this alphabet thing; it turns out that 'o' comes after 'n'. Which will mean, contrary to my previous comment, that when sorted alphabetically new jobs will come before old ones. But that's just a very minor inconvenience and I'm ok with it).

Note You need to log in before you can comment on or make changes to this bug.